#!/bin/bash
# Stop MDM container

set -eou pipefail

MDM_SERVICE_NAME="apgenevamdm"
MDMSTATSD_SERVICE_NAME="apgenevamdmstatsd"

# Stop the container
docker stop ${MDM_SERVICE_NAME}

# MDM statsd uses memory mappings directly from this container to work properly
# It *must* be stopped after each stop of the MDM container as they are tightly coupled
# The order is always: MDM -> MDM statsd
# Stop mdmstatsd after this service by using systemctl to control it
systemctl stop ${MDMSTATSD_SERVICE_NAME}.service
